// priority: 0
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded CANNER BUCKETS.js)')


ServerEvents.recipes(event => {

  let ULV = 8
  let LV = 30
  let MV = 120
  let HV = 480
  let EV = 1920

  let BF = (output, input, id) =>

    event.recipes.gtceu.canner(id)
      .itemInputs('minecraft:bucket')
      .inputFluids(input)
      .itemOutputs(output)
      .duration(40)
      .EUt(8)

  const iP = 'kubejs/bucket_filling/'
  const Q = 1000
  const B = '_bucket'
  const M = 'minecraft'
  const G = 'gtceu'
  const F = Fluid.of

  BF(`${M}:water${B}`, F(`${M}:water`, Q), `${iP}water`)
  BF(`${M}:lava${B}`, F(`${M}:lava`, Q), `${iP}lava`)
  BF(`${M}:milk${B}`, F(`${M}:milk`, Q), `${iP}milk`)

  BF(`mob_grinding_utils:fluid_xp${B}`, F('mob_grinding_utils:fluid_xp', Q), `${iP}fluid_xp`)
  BF(`advanced_ae:quantum_infusion${B}`, F('advanced_ae:quantum_infusion_source', Q), `${iP}quantum_infusion`)
  BF(`enderio:xp_juice${B}`, F('enderio:xp_juice', Q), `${iP}xp_juice`)
  // BF(`advgenerators:syngas${B}`, F('advgenerators:syngas', Q), `${iP}syngas`)
  // BF(`advgenerators:steam${B}`, F('advgenerators:steam', Q), `${iP}steam`)

  BF(`${G}:annealed_copper${B}`, F(`${G}:annealed_copper`, Q), `${iP}annealed_copper`)
  BF(`${G}:samarium_iron_arsenic_oxide${B}`, F(`${G}:samarium_iron_arsenic_oxide`, Q), `${iP}samarium_iron_arsenic_oxide`)
  BF(`${G}:molten_samarium_iron_arsenic_oxide${B}`, F(`${G}:molten_samarium_iron_arsenic_oxide`, Q), `${iP}molten_samarium_iron_arsenic_oxide`)
  BF(`${G}:hydrogen_peroxide${B}`, F(`${G}:hydrogen_peroxide`, Q), `${iP}hydrogen_peroxide`)
  BF(`${G}:electrum${B}`, F(`${G}:electrum`, Q), `${iP}electrum`)
  BF(`${G}:titanium_carbide${B}`, F(`${G}:titanium_carbide`, Q), `${iP}titanium_carbide`)
  BF(`${G}:molten_titanium_carbide${B}`, F(`${G}:molten_titanium_carbide`, Q), `${iP}molten_titanium_carbide`)
  BF(`${G}:hastelloy_c_276${B}`, F(`${G}:hastelloy_c_276`, Q), `${iP}hastelloy_c_276`)
  BF(`${G}:molten_hastelloy_c_276${B}`, F(`${G}:molten_hastelloy_c_276`, Q), `${iP}molten_hastelloy_c_276`)
  BF(`${G}:sterling_silver${B}`, F(`${G}:sterling_silver`, Q), `${iP}sterling_silver`)
  BF(`${G}:molten_sterling_silver${B}`, F(`${G}:molten_sterling_silver`, Q), `${iP}molten_sterling_silver`)
  BF(`${G}:indium_tin_barium_titanium_cuprate${B}`, F(`${G}:indium_tin_barium_titanium_cuprate`, Q), `${iP}indium_tin_barium_titanium_cuprate`)
  BF(`${G}:molten_indium_tin_barium_titanium_cuprate${B}`, F(`${G}:molten_indium_tin_barium_titanium_cuprate`, Q), `${iP}molten_indium_tin_barium_titanium_cuprate`)
  BF(`${G}:indium${B}`, F(`${G}:indium`, Q), `${iP}indium`)
  BF(`${G}:glycerol${B}`, F(`${G}:glycerol`, Q), `${iP}glycerol`)
  BF(`${G}:propene${B}`, F(`${G}:propene`, Q), `${iP}propene`)
  BF(`${G}:ethane${B}`, F(`${G}:ethane`, Q), `${iP}ethane`)
  BF(`${G}:cerium${B}`, F(`${G}:cerium`, Q), `${iP}cerium`)
  BF(`${G}:steam_cracked_ethylene${B}`, F(`${G}:steam_cracked_ethylene`, Q), `${iP}steam_cracked_ethylene`)
  BF(`${G}:neodymium${B}`, F(`${G}:neodymium`, Q), `${iP}neodymium`)
  BF(`${G}:rocket_fuel${B}`, F(`${G}:rocket_fuel`, Q), `${iP}rocket_fuel`)
  BF(`${G}:titanium_tetrachloride${B}`, F(`${G}:titanium_tetrachloride`, Q), `${iP}titanium_tetrachloride`)
  BF(`${G}:liquid_air${B}`, F(`${G}:liquid_air`, Q), `${iP}liquid_air`)
  BF(`${G}:radon${B}`, F(`${G}:radon`, Q), `${iP}radon`)
  BF(`${G}:tin${B}`, F(`${G}:tin`, Q), `${iP}tin`)
  BF(`${G}:tin_plasma${B}`, F(`${G}:tin_plasma`, Q), `${iP}tin_plasma`)
  BF(`${G}:platinum${B}`, F(`${G}:platinum`, Q), `${iP}platinum`)
  BF(`${G}:steam_cracked_butadiene${B}`, F(`${G}:steam_cracked_butadiene`, Q), `${iP}steam_cracked_butadiene`)
  BF(`${G}:americium${B}`, F(`${G}:americium`, Q), `${iP}americium`)
  BF(`${G}:americium_plasma${B}`, F(`${G}:americium_plasma`, Q), `${iP}americium_plasma`)
  BF(`${G}:manganese_phosphide${B}`, F(`${G}:manganese_phosphide`, Q), `${iP}manganese_phosphide`)
  BF(`${G}:molten_manganese_phosphide${B}`, F(`${G}:molten_manganese_phosphide`, Q), `${iP}molten_manganese_phosphide`)
  BF(`${G}:styrene_butadiene_rubber${B}`, F(`${G}:styrene_butadiene_rubber`, Q), `${iP}styrene_butadiene_rubber`)
  BF(`${G}:vinyl_chloride${B}`, F(`${G}:vinyl_chloride`, Q), `${iP}vinyl_chloride`)
  BF(`${G}:hydro_cracked_butadiene${B}`, F(`${G}:hydro_cracked_butadiene`, Q), `${iP}hydro_cracked_butadiene`)
  BF(`${G}:glyceryl_trinitrate${B}`, F(`${G}:glyceryl_trinitrate`, Q), `${iP}glyceryl_trinitrate`)
  BF(`${G}:hydro_cracked_propene${B}`, F(`${G}:hydro_cracked_propene`, Q), `${iP}hydro_cracked_propene`)
  BF(`${G}:uranium${B}`, F(`${G}:uranium`, Q), `${iP}uranium`)
  BF(`${G}:naphthalene${B}`, F(`${G}:naphthalene`, Q), `${iP}naphthalene`)
  BF(`${G}:depleted_uranium_hexafluoride${B}`, F(`${G}:depleted_uranium_hexafluoride`, Q), `${iP}depleted_uranium_hexafluoride`)
  BF(`${G}:ruridit${B}`, F(`${G}:ruridit`, Q), `${iP}ruridit`)
  BF(`${G}:molten_ruridit${B}`, F(`${G}:molten_ruridit`, Q), `${iP}molten_ruridit`)
  BF(`${G}:ethenone${B}`, F(`${G}:ethenone`, Q), `${iP}ethenone`)
  BF(`${G}:blue_alloy${B}`, F(`${G}:blue_alloy`, Q), `${iP}blue_alloy`)
  BF(`${G}:carbon_dioxide${B}`, F(`${G}:carbon_dioxide`, Q), `${iP}carbon_dioxide`)
  BF(`${G}:glue${B}`, F(`${G}:glue`, Q), `${iP}glue`)
  BF(`${G}:nitrochlorobenzene${B}`, F(`${G}:nitrochlorobenzene`, Q), `${iP}nitrochlorobenzene`)
  BF(`${G}:invar${B}`, F(`${G}:invar`, Q), `${iP}invar`)
  BF(`${G}:ethylene${B}`, F(`${G}:ethylene`, Q), `${iP}ethylene`)
  BF(`${G}:sapphire_slurry${B}`, F(`${G}:sapphire_slurry`, Q), `${iP}sapphire_slurry`)
  BF(`${G}:tritanium${B}`, F(`${G}:tritanium`, Q), `${iP}tritanium`)
  BF(`${G}:oil_medium${B}`, F(`${G}:oil_medium`, Q), `${iP}oil_medium`)
  BF(`${G}:oxygen${B}`, F(`${G}:oxygen`, Q), `${iP}oxygen`)
  BF(`${G}:liquid_oxygen${B}`, F(`${G}:liquid_oxygen`, Q), `${iP}liquid_oxygen`)
  BF(`${G}:oxygen_plasma${B}`, F(`${G}:oxygen_plasma`, Q), `${iP}oxygen_plasma`)
  BF(`${G}:heavy_fuel${B}`, F(`${G}:heavy_fuel`, Q), `${iP}heavy_fuel`)
  BF(`${G}:tetrafluoroethylene${B}`, F(`${G}:tetrafluoroethylene`, Q), `${iP}tetrafluoroethylene`)
  BF(`${G}:ammonia${B}`, F(`${G}:ammonia`, Q), `${iP}ammonia`)
  BF(`${G}:diaminobenzidine${B}`, F(`${G}:diaminobenzidine`, Q), `${iP}diaminobenzidine`)
  BF(`${G}:mc_guffium_239${B}`, F(`${G}:mc_guffium_239`, Q), `${iP}mc_guffium_239`)
  BF(`${G}:black_dye${B}`, F(`${G}:black_dye`, Q), `${iP}black_dye`)
  BF(`${G}:lead_zinc_solution${B}`, F(`${G}:lead_zinc_solution`, Q), `${iP}lead_zinc_solution`)
  BF(`${G}:indium_gallium_phosphide${B}`, F(`${G}:indium_gallium_phosphide`, Q), `${iP}indium_gallium_phosphide`)
  BF(`${G}:gray_dye${B}`, F(`${G}:gray_dye`, Q), `${iP}gray_dye`)
  BF(`${G}:magnalium${B}`, F(`${G}:magnalium`, Q), `${iP}magnalium`)
  BF(`${G}:dimethylamine${B}`, F(`${G}:dimethylamine`, Q), `${iP}dimethylamine`)
  BF(`${G}:formamide${B}`, F(`${G}:formamide`, Q), `${iP}formamide`)
  BF(`${G}:gallium${B}`, F(`${G}:gallium`, Q), `${iP}gallium`)
  BF(`${G}:hydrofluoric_acid${B}`, F(`${G}:hydrofluoric_acid`, Q), `${iP}hydrofluoric_acid`)
  BF(`${G}:blaze${B}`, F(`${G}:blaze`, Q), `${iP}blaze`)
  BF(`${G}:sulfuric_naphtha${B}`, F(`${G}:sulfuric_naphtha`, Q), `${iP}sulfuric_naphtha`)
  BF(`${G}:black_steel${B}`, F(`${G}:black_steel`, Q), `${iP}black_steel`)
  BF(`${G}:molten_black_steel${B}`, F(`${G}:molten_black_steel`, Q), `${iP}molten_black_steel`)
  BF(`${G}:wax${B}`, F(`${G}:wax`, Q), `${iP}wax`)
  BF(`${G}:soldering_alloy${B}`, F(`${G}:soldering_alloy`, Q), `${iP}soldering_alloy`)
  BF(`${G}:fluoroantimonic_acid${B}`, F(`${G}:fluoroantimonic_acid`, Q), `${iP}fluoroantimonic_acid`)
  BF(`${G}:nichrome${B}`, F(`${G}:nichrome`, Q), `${iP}nichrome`)
  BF(`${G}:molten_nichrome${B}`, F(`${G}:molten_nichrome`, Q), `${iP}molten_nichrome`)
  BF(`${G}:impure_naquadria_solution${B}`, F(`${G}:impure_naquadria_solution`, Q), `${iP}impure_naquadria_solution`)
  BF(`${G}:tungsten_steel${B}`, F(`${G}:tungsten_steel`, Q), `${iP}tungsten_steel`)
  BF(`${G}:molten_tungsten_steel${B}`, F(`${G}:molten_tungsten_steel`, Q), `${iP}molten_tungsten_steel`)
  BF(`${G}:hssg${B}`, F(`${G}:hssg`, Q), `${iP}hssg`)
  BF(`${G}:molten_hssg${B}`, F(`${G}:molten_hssg`, Q), `${iP}molten_hssg`)
  BF(`${G}:nickel_zinc_ferrite${B}`, F(`${G}:nickel_zinc_ferrite`, Q), `${iP}nickel_zinc_ferrite`)
  BF(`${G}:oil${B}`, F(`${G}:oil`, Q), `${iP}oil`)
  BF(`${G}:rtm_alloy${B}`, F(`${G}:rtm_alloy`, Q), `${iP}rtm_alloy`)
  BF(`${G}:molten_rtm_alloy${B}`, F(`${G}:molten_rtm_alloy`, Q), `${iP}molten_rtm_alloy`)
  BF(`${G}:wood_vinegar${B}`, F(`${G}:wood_vinegar`, Q), `${iP}wood_vinegar`)
  BF(`${G}:lightly_hydro_cracked_heavy_fuel${B}`, F(`${G}:lightly_hydro_cracked_heavy_fuel`, Q), `${iP}lightly_hydro_cracked_heavy_fuel`)
  BF(`${G}:lanthanum${B}`, F(`${G}:lanthanum`, Q), `${iP}lanthanum`)
  BF(`${G}:nitrogen_dioxide${B}`, F(`${G}:nitrogen_dioxide`, Q), `${iP}nitrogen_dioxide`)
  BF(`${G}:lpg${B}`, F(`${G}:lpg`, Q), `${iP}lpg`)
  BF(`${G}:brass${B}`, F(`${G}:brass`, Q), `${iP}brass`)
  BF(`${G}:lutetium${B}`, F(`${G}:lutetium`, Q), `${iP}lutetium`)
  BF(`${G}:acidic_osmium_solution${B}`, F(`${G}:acidic_osmium_solution`, Q), `${iP}acidic_osmium_solution`)
  BF(`${G}:iridium${B}`, F(`${G}:iridium`, Q), `${iP}iridium`)
  BF(`${G}:stainless_steel${B}`, F(`${G}:stainless_steel`, Q), `${iP}stainless_steel`)
  BF(`${G}:molten_stainless_steel${B}`, F(`${G}:molten_stainless_steel`, Q), `${iP}molten_stainless_steel`)
  BF(`${G}:vanadium_gallium${B}`, F(`${G}:vanadium_gallium`, Q), `${iP}vanadium_gallium`)
  BF(`${G}:molten_vanadium_gallium${B}`, F(`${G}:molten_vanadium_gallium`, Q), `${iP}molten_vanadium_gallium`)
  BF(`${G}:natural_gas${B}`, F(`${G}:natural_gas`, Q), `${iP}natural_gas`)
  BF(`${G}:severely_steam_cracked_light_fuel${B}`, F(`${G}:severely_steam_cracked_light_fuel`, Q), `${iP}severely_steam_cracked_light_fuel`)
  BF(`${G}:propane${B}`, F(`${G}:propane`, Q), `${iP}propane`)
  BF(`${G}:carbon${B}`, F(`${G}:carbon`, Q), `${iP}carbon`)
  BF(`${G}:polyvinyl_acetate${B}`, F(`${G}:polyvinyl_acetate`, Q), `${iP}polyvinyl_acetate`)
  BF(`${G}:manganese${B}`, F(`${G}:manganese`, Q), `${iP}manganese`)
  BF(`${G}:argon${B}`, F(`${G}:argon`, Q), `${iP}argon`)
  BF(`${G}:argon_plasma${B}`, F(`${G}:argon_plasma`, Q), `${iP}argon_plasma`)
  BF(`${G}:molybdenum${B}`, F(`${G}:molybdenum`, Q), `${iP}molybdenum`)
  BF(`${G}:light_gray_dye${B}`, F(`${G}:light_gray_dye`, Q), `${iP}light_gray_dye`)
  BF(`${G}:hydro_cracked_ethylene${B}`, F(`${G}:hydro_cracked_ethylene`, Q), `${iP}hydro_cracked_ethylene`)
  BF(`${G}:severely_steam_cracked_heavy_fuel${B}`, F(`${G}:severely_steam_cracked_heavy_fuel`, Q), `${iP}severely_steam_cracked_heavy_fuel`)
  BF(`${G}:lightly_steam_cracked_light_fuel${B}`, F(`${G}:lightly_steam_cracked_light_fuel`, Q), `${iP}lightly_steam_cracked_light_fuel`)
  BF(`${G}:fluorine${B}`, F(`${G}:fluorine`, Q), `${iP}fluorine`)
  BF(`${G}:epichlorohydrin${B}`, F(`${G}:epichlorohydrin`, Q), `${iP}epichlorohydrin`)
  BF(`${G}:red_titanium${B}`, F(`${G}:red_titanium`, Q), `${iP}red_titanium`)
  BF(`${G}:molten_red_titanium${B}`, F(`${G}:molten_red_titanium`, Q), `${iP}molten_red_titanium`)
  BF(`${G}:neutronium${B}`, F(`${G}:neutronium`, Q), `${iP}neutronium`)
  BF(`${G}:yttrium_barium_cuprate${B}`, F(`${G}:yttrium_barium_cuprate`, Q), `${iP}yttrium_barium_cuprate`)
  BF(`${G}:molten_yttrium_barium_cuprate${B}`, F(`${G}:molten_yttrium_barium_cuprate`, Q), `${iP}molten_yttrium_barium_cuprate`)
  BF(`${G}:hydrogen_sulfide${B}`, F(`${G}:hydrogen_sulfide`, Q), `${iP}hydrogen_sulfide`)
  BF(`${G}:maraging_steel_300${B}`, F(`${G}:maraging_steel_300`, Q), `${iP}maraging_steel_300`)
  BF(`${G}:molten_maraging_steel_300${B}`, F(`${G}:molten_maraging_steel_300`, Q), `${iP}molten_maraging_steel_300`)
  BF(`${G}:pcb_coolant${B}`, F(`${G}:pcb_coolant`, Q), `${iP}pcb_coolant`)
  BF(`${G}:niobium_nitride${B}`, F(`${G}:niobium_nitride`, Q), `${iP}niobium_nitride`)
  BF(`${G}:molten_niobium_nitride${B}`, F(`${G}:molten_niobium_nitride`, Q), `${iP}molten_niobium_nitride`)
  BF(`${G}:butane${B}`, F(`${G}:butane`, Q), `${iP}butane`)
  BF(`${G}:sulfuric_acid${B}`, F(`${G}:sulfuric_acid`, Q), `${iP}sulfuric_acid`)
  BF(`${G}:stellite_100${B}`, F(`${G}:stellite_100`, Q), `${iP}stellite_100`)
  BF(`${G}:molten_stellite_100${B}`, F(`${G}:molten_stellite_100`, Q), `${iP}molten_stellite_100`)
  BF(`${G}:polyvinyl_chloride${B}`, F(`${G}:polyvinyl_chloride`, Q), `${iP}polyvinyl_chloride`)
  BF(`${G}:enriched_naquadah_solution${B}`, F(`${G}:enriched_naquadah_solution`, Q), `${iP}enriched_naquadah_solution`)
  BF(`${G}:drilling_fluid${B}`, F(`${G}:drilling_fluid`, Q), `${iP}drilling_fluid`)
  BF(`${G}:bauxite_sludge${B}`, F(`${G}:bauxite_sludge`, Q), `${iP}bauxite_sludge`)
  BF(`${G}:uranium_235${B}`, F(`${G}:uranium_235`, Q), `${iP}uranium_235`)
  BF(`${G}:nitric_acid${B}`, F(`${G}:nitric_acid`, Q), `${iP}nitric_acid`)
  BF(`${G}:mercury${B}`, F(`${G}:mercury`, Q), `${iP}mercury`)
  BF(`${G}:dinitrogen_tetroxide${B}`, F(`${G}:dinitrogen_tetroxide`, Q), `${iP}dinitrogen_tetroxide`)
  BF(`${G}:gasoline${B}`, F(`${G}:gasoline`, Q), `${iP}gasoline`)
  BF(`${G}:dichloroethane${B}`, F(`${G}:dichloroethane`, Q), `${iP}dichloroethane`)
  BF(`${G}:steam_cracked_butane${B}`, F(`${G}:steam_cracked_butane`, Q), `${iP}steam_cracked_butane`)
  BF(`${G}:thorium${B}`, F(`${G}:thorium`, Q), `${iP}thorium`)
  BF(`${G}:allyl_chloride${B}`, F(`${G}:allyl_chloride`, Q), `${iP}allyl_chloride`)
  BF(`${G}:formaldehyde${B}`, F(`${G}:formaldehyde`, Q), `${iP}formaldehyde`)
  BF(`${G}:nitrosyl_chloride${B}`, F(`${G}:nitrosyl_chloride`, Q), `${iP}nitrosyl_chloride`)
  BF(`${G}:blue_dye${B}`, F(`${G}:blue_dye`, Q), `${iP}blue_dye`)
  BF(`${G}:zeron_100${B}`, F(`${G}:zeron_100`, Q), `${iP}zeron_100`)
  BF(`${G}:molten_zeron_100${B}`, F(`${G}:molten_zeron_100`, Q), `${iP}molten_zeron_100`)
  BF(`${G}:sodium_potassium${B}`, F(`${G}:sodium_potassium`, Q), `${iP}sodium_potassium`)
  BF(`${G}:cyan_dye${B}`, F(`${G}:cyan_dye`, Q), `${iP}cyan_dye`)
  BF(`${G}:methane${B}`, F(`${G}:methane`, Q), `${iP}methane`)
  BF(`${G}:naphtha${B}`, F(`${G}:naphtha`, Q), `${iP}naphtha`)
  BF(`${G}:silver${B}`, F(`${G}:silver`, Q), `${iP}silver`)
  BF(`${G}:niobium_titanium${B}`, F(`${G}:niobium_titanium`, Q), `${iP}niobium_titanium`)
  BF(`${G}:molten_niobium_titanium${B}`, F(`${G}:molten_niobium_titanium`, Q), `${iP}molten_niobium_titanium`)
  BF(`${G}:fermented_biomass${B}`, F(`${G}:fermented_biomass`, Q), `${iP}fermented_biomass`)
  BF(`${G}:oil_light${B}`, F(`${G}:oil_light`, Q), `${iP}oil_light`)
  BF(`${G}:ethylbenzene${B}`, F(`${G}:ethylbenzene`, Q), `${iP}ethylbenzene`)
  BF(`${G}:polyphenylene_sulfide${B}`, F(`${G}:polyphenylene_sulfide`, Q), `${iP}polyphenylene_sulfide`)
  BF(`${G}:pink_dye${B}`, F(`${G}:pink_dye`, Q), `${iP}pink_dye`)
  BF(`${G}:toluene${B}`, F(`${G}:toluene`, Q), `${iP}toluene`)
  BF(`${G}:purple_dye${B}`, F(`${G}:purple_dye`, Q), `${iP}purple_dye`)
  BF(`${G}:polyethylene${B}`, F(`${G}:polyethylene`, Q), `${iP}polyethylene`)
  BF(`${G}:magnesium${B}`, F(`${G}:magnesium`, Q), `${iP}magnesium`)
  BF(`${G}:isoprene${B}`, F(`${G}:isoprene`, Q), `${iP}isoprene`)
  BF(`${G}:air${B}`, F(`${G}:air`, Q), `${iP}air`)
  BF(`${G}:vinyl_acetate${B}`, F(`${G}:vinyl_acetate`, Q), `${iP}vinyl_acetate`)
  BF(`${G}:rhodium${B}`, F(`${G}:rhodium`, Q), `${iP}rhodium`)
  BF(`${G}:damascus_steel${B}`, F(`${G}:damascus_steel`, Q), `${iP}damascus_steel`)
  BF(`${G}:sulfuric_heavy_fuel${B}`, F(`${G}:sulfuric_heavy_fuel`, Q), `${iP}sulfuric_heavy_fuel`)
  BF(`${G}:nitrous_oxide${B}`, F(`${G}:nitrous_oxide`, Q), `${iP}nitrous_oxide`)
  BF(`${G}:neon${B}`, F(`${G}:neon`, Q), `${iP}neon`)
  BF(`${G}:severely_steam_cracked_gas${B}`, F(`${G}:severely_steam_cracked_gas`, Q), `${iP}severely_steam_cracked_gas`)
  BF(`${G}:enriched_bacterial_sludge${B}`, F(`${G}:enriched_bacterial_sludge`, Q), `${iP}enriched_bacterial_sludge`)
  BF(`${G}:redstone${B}`, F(`${G}:redstone`, Q), `${iP}redstone`)
  BF(`${G}:dichlorobenzene${B}`, F(`${G}:dichlorobenzene`, Q), `${iP}dichlorobenzene`)
  BF(`${G}:glass${B}`, F(`${G}:glass`, Q), `${iP}glass`)
  BF(`${G}:lightly_steam_cracked_naphtha${B}`, F(`${G}:lightly_steam_cracked_naphtha`, Q), `${iP}lightly_steam_cracked_naphtha`)
  BF(`${G}:steel${B}`, F(`${G}:steel`, Q), `${iP}steel`)
  BF(`${G}:formic_acid${B}`, F(`${G}:formic_acid`, Q), `${iP}formic_acid`)
  BF(`${G}:rubber${B}`, F(`${G}:rubber`, Q), `${iP}rubber`)
  BF(`${G}:ammonium_formate${B}`, F(`${G}:ammonium_formate`, Q), `${iP}ammonium_formate`)
  BF(`${G}:antimony${B}`, F(`${G}:antimony`, Q), `${iP}antimony`)
  BF(`${G}:gelatin_mixture${B}`, F(`${G}:gelatin_mixture`, Q), `${iP}gelatin_mixture`)
  BF(`${G}:potassium${B}`, F(`${G}:potassium`, Q), `${iP}potassium`)
  BF(`${G}:gallium_arsenide${B}`, F(`${G}:gallium_arsenide`, Q), `${iP}gallium_arsenide`)
  BF(`${G}:molten_gallium_arsenide${B}`, F(`${G}:molten_gallium_arsenide`, Q), `${iP}molten_gallium_arsenide`)
  BF(`${G}:hydro_cracked_propane${B}`, F(`${G}:hydro_cracked_propane`, Q), `${iP}hydro_cracked_propane`)
  BF(`${G}:refinery_gas${B}`, F(`${G}:refinery_gas`, Q), `${iP}refinery_gas`)
  BF(`${G}:ethyl_tertbutyl_ether${B}`, F(`${G}:ethyl_tertbutyl_ether`, Q), `${iP}ethyl_tertbutyl_ether`)
  BF(`${G}:butene${B}`, F(`${G}:butene`, Q), `${iP}butene`)
  BF(`${G}:phthalic_acid${B}`, F(`${G}:phthalic_acid`, Q), `${iP}phthalic_acid`)
  BF(`${G}:polyvinyl_butyral${B}`, F(`${G}:polyvinyl_butyral`, Q), `${iP}polyvinyl_butyral`)
  BF(`${G}:krypton${B}`, F(`${G}:krypton`, Q), `${iP}krypton`)
  BF(`${G}:palladium${B}`, F(`${G}:palladium`, Q), `${iP}palladium`)
  BF(`${G}:decalcified_bauxite_sludge${B}`, F(`${G}:decalcified_bauxite_sludge`, Q), `${iP}decalcified_bauxite_sludge`)
  BF(`${G}:distilled_water${B}`, F(`${G}:distilled_water`, Q), `${iP}distilled_water`)
  BF(`${G}:zinc${B}`, F(`${G}:zinc`, Q), `${iP}zinc`)
  BF(`${G}:acetic_anhydride${B}`, F(`${G}:acetic_anhydride`, Q), `${iP}acetic_anhydride`)
  BF(`${G}:ice${B}`, F(`${G}:ice`, Q), `${iP}ice`)
  BF(`${G}:bauxite_slurry${B}`, F(`${G}:bauxite_slurry`, Q), `${iP}bauxite_slurry`)
  BF(`${G}:severely_hydro_cracked_heavy_fuel${B}`, F(`${G}:severely_hydro_cracked_heavy_fuel`, Q), `${iP}severely_hydro_cracked_heavy_fuel`)
  BF(`${G}:titanium${B}`, F(`${G}:titanium`, Q), `${iP}titanium`)
  BF(`${G}:rhodium_plated_palladium${B}`, F(`${G}:rhodium_plated_palladium`, Q), `${iP}rhodium_plated_palladium`)
  BF(`${G}:molten_rhodium_plated_palladium${B}`, F(`${G}:molten_rhodium_plated_palladium`, Q), `${iP}molten_rhodium_plated_palladium`)
  BF(`${G}:chloroform${B}`, F(`${G}:chloroform`, Q), `${iP}chloroform`)
  BF(`${G}:tungsten${B}`, F(`${G}:tungsten`, Q), `${iP}tungsten`)
  BF(`${G}:steam_cracked_propene${B}`, F(`${G}:steam_cracked_propene`, Q), `${iP}steam_cracked_propene`)
  BF(`${G}:silicon${B}`, F(`${G}:silicon`, Q), `${iP}silicon`)
  BF(`${G}:hsss${B}`, F(`${G}:hsss`, Q), `${iP}hsss`)
  BF(`${G}:molten_hsss${B}`, F(`${G}:molten_hsss`, Q), `${iP}molten_hsss`)
  BF(`${G}:charcoal_byproducts${B}`, F(`${G}:charcoal_byproducts`, Q), `${iP}charcoal_byproducts`)
  BF(`${G}:creosote${B}`, F(`${G}:creosote`, Q), `${iP}creosote`)
  BF(`${G}:epoxy${B}`, F(`${G}:epoxy`, Q), `${iP}epoxy`)
  BF(`${G}:construction_foam${B}`, F(`${G}:construction_foam`, Q), `${iP}construction_foam`)
  BF(`${G}:styrene${B}`, F(`${G}:styrene`, Q), `${iP}styrene`)
  BF(`${G}:naquadah${B}`, F(`${G}:naquadah`, Q), `${iP}naquadah`)
  BF(`${G}:cupronickel${B}`, F(`${G}:cupronickel`, Q), `${iP}cupronickel`)
  BF(`${G}:europium${B}`, F(`${G}:europium`, Q), `${iP}europium`)
  BF(`${G}:mercury_barium_calcium_cuprate${B}`, F(`${G}:mercury_barium_calcium_cuprate`, Q), `${iP}mercury_barium_calcium_cuprate`)
  BF(`${G}:molten_mercury_barium_calcium_cuprate${B}`, F(`${G}:molten_mercury_barium_calcium_cuprate`, Q), `${iP}molten_mercury_barium_calcium_cuprate`)
  BF(`${G}:deuterium${B}`, F(`${G}:deuterium`, Q), `${iP}deuterium`)
  BF(`${G}:impure_enriched_naquadah_solution${B}`, F(`${G}:impure_enriched_naquadah_solution`, Q), `${iP}impure_enriched_naquadah_solution`)
  BF(`${G}:plutonium_241${B}`, F(`${G}:plutonium_241`, Q), `${iP}plutonium_241`)
  BF(`${G}:sulfuric_copper_solution${B}`, F(`${G}:sulfuric_copper_solution`, Q), `${iP}sulfuric_copper_solution`)
  BF(`${G}:hydrogen_cyanide${B}`, F(`${G}:hydrogen_cyanide`, Q), `${iP}hydrogen_cyanide`)
  BF(`${G}:light_fuel${B}`, F(`${G}:light_fuel`, Q), `${iP}light_fuel`)
  BF(`${G}:red_alloy${B}`, F(`${G}:red_alloy`, Q), `${iP}red_alloy`)
  BF(`${G}:lightly_steam_cracked_gas${B}`, F(`${G}:lightly_steam_cracked_gas`, Q), `${iP}lightly_steam_cracked_gas`)
  BF(`${G}:hypochlorous_acid${B}`, F(`${G}:hypochlorous_acid`, Q), `${iP}hypochlorous_acid`)
  BF(`${G}:polybenzimidazole${B}`, F(`${G}:polybenzimidazole`, Q), `${iP}polybenzimidazole`)
  BF(`${G}:yttrium${B}`, F(`${G}:yttrium`, Q), `${iP}yttrium`)
  BF(`${G}:mutagen${B}`, F(`${G}:mutagen`, Q), `${iP}mutagen`)
  BF(`${G}:dimethylbenzene${B}`, F(`${G}:dimethylbenzene`, Q), `${iP}dimethylbenzene`)
  BF(`${G}:polychlorinated_biphenyl${B}`, F(`${G}:polychlorinated_biphenyl`, Q), `${iP}polychlorinated_biphenyl`)
  BF(`${G}:ultimet${B}`, F(`${G}:ultimet`, Q), `${iP}ultimet`)
  BF(`${G}:molten_ultimet${B}`, F(`${G}:molten_ultimet`, Q), `${iP}molten_ultimet`)
  BF(`${G}:monochloramine${B}`, F(`${G}:monochloramine`, Q), `${iP}monochloramine`)
  BF(`${G}:cumene${B}`, F(`${G}:cumene`, Q), `${iP}cumene`)
  BF(`${G}:biomass${B}`, F(`${G}:biomass`, Q), `${iP}biomass`)
  BF(`${G}:polycaprolactam${B}`, F(`${G}:polycaprolactam`, Q), `${iP}polycaprolactam`)
  BF(`${G}:enriched_naquadah_trinium_europium_duranide${B}`, F(`${G}:enriched_naquadah_trinium_europium_duranide`, Q), `${iP}enriched_naquadah_trinium_europium_duranide`)
  BF(`${G}:molten_enriched_naquadah_trinium_europium_duranide${B}`, F(`${G}:molten_enriched_naquadah_trinium_europium_duranide`, Q), `${iP}molten_enriched_naquadah_trinium_europium_duranide`)
  BF(`${G}:tantalum_carbide${B}`, F(`${G}:tantalum_carbide`, Q), `${iP}tantalum_carbide`)
  BF(`${G}:molten_tantalum_carbide${B}`, F(`${G}:molten_tantalum_carbide`, Q), `${iP}molten_tantalum_carbide`)
  BF(`${G}:oil_heavy${B}`, F(`${G}:oil_heavy`, Q), `${iP}oil_heavy`)
  BF(`${G}:acidic_naquadria_solution${B}`, F(`${G}:acidic_naquadria_solution`, Q), `${iP}acidic_naquadria_solution`)
  BF(`${G}:cyclohexane${B}`, F(`${G}:cyclohexane`, Q), `${iP}cyclohexane`)
  BF(`${G}:wood_tar${B}`, F(`${G}:wood_tar`, Q), `${iP}wood_tar`)
  BF(`${G}:lightly_hydro_cracked_light_fuel${B}`, F(`${G}:lightly_hydro_cracked_light_fuel`, Q), `${iP}lightly_hydro_cracked_light_fuel`)
  BF(`${G}:severely_hydro_cracked_light_fuel${B}`, F(`${G}:severely_hydro_cracked_light_fuel`, Q), `${iP}severely_hydro_cracked_light_fuel`)
  BF(`${G}:lightly_steam_cracked_heavy_fuel${B}`, F(`${G}:lightly_steam_cracked_heavy_fuel`, Q), `${iP}lightly_steam_cracked_heavy_fuel`)
  BF(`${G}:hsla_steel${B}`, F(`${G}:hsla_steel`, Q), `${iP}hsla_steel`)
  BF(`${G}:molten_hsla_steel${B}`, F(`${G}:molten_hsla_steel`, Q), `${iP}molten_hsla_steel`)
  BF(`${G}:aminophenol${B}`, F(`${G}:aminophenol`, Q), `${iP}aminophenol`)
  BF(`${G}:helium_3${B}`, F(`${G}:helium_3`, Q), `${iP}helium_3`)
  BF(`${G}:black_bronze${B}`, F(`${G}:black_bronze`, Q), `${iP}black_bronze`)
  BF(`${G}:molten_black_bronze${B}`, F(`${G}:molten_black_bronze`, Q), `${iP}molten_black_bronze`)
  BF(`${G}:lead${B}`, F(`${G}:lead`, Q), `${iP}lead`)
  BF(`${G}:activated_lava${B}`, F(`${G}:activated_lava`, Q), `${iP}activated_lava`)
  BF(`${G}:nitrobenzene${B}`, F(`${G}:nitrobenzene`, Q), `${iP}nitrobenzene`)
  BF(`${G}:dissolved_calcium_acetate${B}`, F(`${G}:dissolved_calcium_acetate`, Q), `${iP}dissolved_calcium_acetate`)
  BF(`${G}:high_octane_gasoline${B}`, F(`${G}:high_octane_gasoline`, Q), `${iP}high_octane_gasoline`)
  BF(`${G}:nickel${B}`, F(`${G}:nickel`, Q), `${iP}nickel`)
  BF(`${G}:nickel_plasma${B}`, F(`${G}:nickel_plasma`, Q), `${iP}nickel_plasma`)
  BF(`${G}:uranium_triplatinum${B}`, F(`${G}:uranium_triplatinum`, Q), `${iP}uranium_triplatinum`)
  BF(`${G}:molten_uranium_triplatinum${B}`, F(`${G}:molten_uranium_triplatinum`, Q), `${iP}molten_uranium_triplatinum`)
  BF(`${G}:diethylenetriamine_pentaacetonitrile${B}`, F(`${G}:diethylenetriamine_pentaacetonitrile`, Q), `${iP}diethylenetriamine_pentaacetonitrile`)
  BF(`${G}:seed_oil${B}`, F(`${G}:seed_oil`, Q), `${iP}seed_oil`)
  BF(`${G}:diesel${B}`, F(`${G}:diesel`, Q), `${iP}diesel`)
  BF(`${G}:hastelloy_x${B}`, F(`${G}:hastelloy_x`, Q), `${iP}hastelloy_x`)
  BF(`${G}:molten_hastelloy_x${B}`, F(`${G}:molten_hastelloy_x`, Q), `${iP}molten_hastelloy_x`)
  BF(`${G}:green_dye${B}`, F(`${G}:green_dye`, Q), `${iP}green_dye`)
  BF(`${G}:indium_concentrate${B}`, F(`${G}:indium_concentrate`, Q), `${iP}indium_concentrate`)
  BF(`${G}:sulfuric_light_fuel${B}`, F(`${G}:sulfuric_light_fuel`, Q), `${iP}sulfuric_light_fuel`)
  BF(`${G}:tritium${B}`, F(`${G}:tritium`, Q), `${iP}tritium`)
  BF(`${G}:silicone_rubber${B}`, F(`${G}:silicone_rubber`, Q), `${iP}silicone_rubber`)
  BF(`${G}:liquid_ender_air${B}`, F(`${G}:liquid_ender_air`, Q), `${iP}liquid_ender_air`)
  BF(`${G}:coal_tar${B}`, F(`${G}:coal_tar`, Q), `${iP}coal_tar`)
  BF(`${G}:hsse${B}`, F(`${G}:hsse`, Q), `${iP}hsse`)
  BF(`${G}:molten_hsse${B}`, F(`${G}:molten_hsse`, Q), `${iP}molten_hsse`)
  BF(`${G}:hydro_cracked_butane${B}`, F(`${G}:hydro_cracked_butane`, Q), `${iP}hydro_cracked_butane`)
  BF(`${G}:cetane_boosted_diesel${B}`, F(`${G}:cetane_boosted_diesel`, Q), `${iP}cetane_boosted_diesel`)
  BF(`${G}:titanium_tungsten_carbide${B}`, F(`${G}:titanium_tungsten_carbide`, Q), `${iP}titanium_tungsten_carbide`)
  BF(`${G}:molten_titanium_tungsten_carbide${B}`, F(`${G}:molten_titanium_tungsten_carbide`, Q), `${iP}molten_titanium_tungsten_carbide`)
  BF(`${G}:niobium${B}`, F(`${G}:niobium`, Q), `${iP}niobium`)
  BF(`${G}:polytetrafluoroethylene${B}`, F(`${G}:polytetrafluoroethylene`, Q), `${iP}polytetrafluoroethylene`)
  BF(`${G}:naquadah_alloy${B}`, F(`${G}:naquadah_alloy`, Q), `${iP}naquadah_alloy`)
  BF(`${G}:molten_naquadah_alloy${B}`, F(`${G}:molten_naquadah_alloy`, Q), `${iP}molten_naquadah_alloy`)
  BF(`${G}:cobalt_brass${B}`, F(`${G}:cobalt_brass`, Q), `${iP}cobalt_brass`)
  BF(`${G}:lightly_hydro_cracked_naphtha${B}`, F(`${G}:lightly_hydro_cracked_naphtha`, Q), `${iP}lightly_hydro_cracked_naphtha`)
  BF(`${G}:octane${B}`, F(`${G}:octane`, Q), `${iP}octane`)
  BF(`${G}:steam_cracked_ethane${B}`, F(`${G}:steam_cracked_ethane`, Q), `${iP}steam_cracked_ethane`)
  BF(`${G}:ruthenium_trinium_americium_neutronate${B}`, F(`${G}:ruthenium_trinium_americium_neutronate`, Q), `${iP}ruthenium_trinium_americium_neutronate`)
  BF(`${G}:molten_ruthenium_trinium_americium_neutronate${B}`, F(`${G}:molten_ruthenium_trinium_americium_neutronate`, Q), `${iP}molten_ruthenium_trinium_americium_neutronate`)
  BF(`${G}:tin_alloy${B}`, F(`${G}:tin_alloy`, Q), `${iP}tin_alloy`)
  BF(`${G}:trinium${B}`, F(`${G}:trinium`, Q), `${iP}trinium`)
  BF(`${G}:lightly_hydro_cracked_gas${B}`, F(`${G}:lightly_hydro_cracked_gas`, Q), `${iP}lightly_hydro_cracked_gas`)
  BF(`${G}:tantalum${B}`, F(`${G}:tantalum`, Q), `${iP}tantalum`)
  BF(`${G}:salt_water${B}`, F(`${G}:salt_water`, Q), `${iP}salt_water`)
  BF(`${G}:hydrochloric_acid${B}`, F(`${G}:hydrochloric_acid`, Q), `${iP}hydrochloric_acid`)
  BF(`${G}:severely_steam_cracked_naphtha${B}`, F(`${G}:severely_steam_cracked_naphtha`, Q), `${iP}severely_steam_cracked_naphtha`)
  BF(`${G}:dimethylhydrazine${B}`, F(`${G}:dimethylhydrazine`, Q), `${iP}dimethylhydrazine`)
  BF(`${G}:sulfuric_nickel_solution${B}`, F(`${G}:sulfuric_nickel_solution`, Q), `${iP}sulfuric_nickel_solution`)
  BF(`${G}:beryllium${B}`, F(`${G}:beryllium`, Q), `${iP}beryllium`)
  BF(`${G}:methyl_acetate${B}`, F(`${G}:methyl_acetate`, Q), `${iP}methyl_acetate`)
  BF(`${G}:steam_cracked_butene${B}`, F(`${G}:steam_cracked_butene`, Q), `${iP}steam_cracked_butene`)
  BF(`${G}:nether_air${B}`, F(`${G}:nether_air`, Q), `${iP}nether_air`)
  BF(`${G}:nitrogen${B}`, F(`${G}:nitrogen`, Q), `${iP}nitrogen`)
  BF(`${G}:nitrogen_plasma${B}`, F(`${G}:nitrogen_plasma`, Q), `${iP}nitrogen_plasma`)
  BF(`${G}:butyraldehyde${B}`, F(`${G}:butyraldehyde`, Q), `${iP}butyraldehyde`)
  BF(`${G}:methanol${B}`, F(`${G}:methanol`, Q), `${iP}methanol`)
  BF(`${G}:lime_dye${B}`, F(`${G}:lime_dye`, Q), `${iP}lime_dye`)
  BF(`${G}:white_dye${B}`, F(`${G}:white_dye`, Q), `${iP}white_dye`)
  BF(`${G}:helium${B}`, F(`${G}:helium`, Q), `${iP}helium`)
  BF(`${G}:liquid_helium${B}`, F(`${G}:liquid_helium`, Q), `${iP}liquid_helium`)
  BF(`${G}:helium_plasma${B}`, F(`${G}:helium_plasma`, Q), `${iP}helium_plasma`)
  BF(`${G}:severely_hydro_cracked_naphtha${B}`, F(`${G}:severely_hydro_cracked_naphtha`, Q), `${iP}severely_hydro_cracked_naphtha`)
  BF(`${G}:dichlorobenzidine${B}`, F(`${G}:dichlorobenzidine`, Q), `${iP}dichlorobenzidine`)
  BF(`${G}:chlorobenzene${B}`, F(`${G}:chlorobenzene`, Q), `${iP}chlorobenzene`)
  BF(`${G}:sulfur_dioxide${B}`, F(`${G}:sulfur_dioxide`, Q), `${iP}sulfur_dioxide`)
  BF(`${G}:nitration_mixture${B}`, F(`${G}:nitration_mixture`, Q), `${iP}nitration_mixture`)
  BF(`${G}:blue_steel${B}`, F(`${G}:blue_steel`, Q), `${iP}blue_steel`)
  BF(`${G}:molten_blue_steel${B}`, F(`${G}:molten_blue_steel`, Q), `${iP}molten_blue_steel`)
  BF(`${G}:coal_gas${B}`, F(`${G}:coal_gas`, Q), `${iP}coal_gas`)
  BF(`${G}:ruby_slurry${B}`, F(`${G}:ruby_slurry`, Q), `${iP}ruby_slurry`)
  BF(`${G}:benzene${B}`, F(`${G}:benzene`, Q), `${iP}benzene`)
  BF(`${G}:ethanol${B}`, F(`${G}:ethanol`, Q), `${iP}ethanol`)
  BF(`${G}:uu_matter${B}`, F(`${G}:uu_matter`, Q), `${iP}uu_matter`)
  BF(`${G}:nitric_oxide${B}`, F(`${G}:nitric_oxide`, Q), `${iP}nitric_oxide`)
  BF(`${G}:iron_iii_chloride${B}`, F(`${G}:iron_iii_chloride`, Q), `${iP}iron_iii_chloride`)
  BF(`${G}:molybdenum_disilicide${B}`, F(`${G}:molybdenum_disilicide`, Q), `${iP}molybdenum_disilicide`)
  BF(`${G}:molten_molybdenum_disilicide${B}`, F(`${G}:molten_molybdenum_disilicide`, Q), `${iP}molten_molybdenum_disilicide`)
  BF(`${G}:diluted_hydrochloric_acid${B}`, F(`${G}:diluted_hydrochloric_acid`, Q), `${iP}diluted_hydrochloric_acid`)
  BF(`${G}:ruthenium${B}`, F(`${G}:ruthenium`, Q), `${iP}ruthenium`)
  BF(`${G}:steam${B}`, F(`${G}:steam`, Q), `${iP}steam`)
  BF(`${G}:potin${B}`, F(`${G}:potin`, Q), `${iP}potin`)
  BF(`${G}:uranium_hexafluoride${B}`, F(`${G}:uranium_hexafluoride`, Q), `${iP}uranium_hexafluoride`)
  BF(`${G}:acetone${B}`, F(`${G}:acetone`, Q), `${iP}acetone`)
  BF(`${G}:lubricant${B}`, F(`${G}:lubricant`, Q), `${iP}lubricant`)
  BF(`${G}:sterilized_growth_medium${B}`, F(`${G}:sterilized_growth_medium`, Q), `${iP}sterilized_growth_medium`)
  BF(`${G}:ender_air${B}`, F(`${G}:ender_air`, Q), `${iP}ender_air`)
  BF(`${G}:raw_growth_medium${B}`, F(`${G}:raw_growth_medium`, Q), `${iP}raw_growth_medium`)
  BF(`${G}:hydrogen${B}`, F(`${G}:hydrogen`, Q), `${iP}hydrogen`)
  BF(`${G}:materialized_experience${B}`, F(`${G}:materialized_experience`, Q), `${iP}materialized_experience`)
  BF(`${G}:uranium_rhodium_dinaquadide${B}`, F(`${G}:uranium_rhodium_dinaquadide`, Q), `${iP}uranium_rhodium_dinaquadide`)
  BF(`${G}:molten_uranium_rhodium_dinaquadide${B}`, F(`${G}:molten_uranium_rhodium_dinaquadide`, Q), `${iP}molten_uranium_rhodium_dinaquadide`)
  BF(`${G}:arsenic${B}`, F(`${G}:arsenic`, Q), `${iP}arsenic`)
  BF(`${G}:acetic_acid${B}`, F(`${G}:acetic_acid`, Q), `${iP}acetic_acid`)
  BF(`${G}:darmstadtium${B}`, F(`${G}:darmstadtium`, Q), `${iP}darmstadtium`)
  BF(`${G}:rose_gold${B}`, F(`${G}:rose_gold`, Q), `${iP}rose_gold`)
  BF(`${G}:molten_rose_gold${B}`, F(`${G}:molten_rose_gold`, Q), `${iP}molten_rose_gold`)
  BF(`${G}:rhodium_sulfate${B}`, F(`${G}:rhodium_sulfate`, Q), `${iP}rhodium_sulfate`)
  BF(`${G}:naquadria${B}`, F(`${G}:naquadria`, Q), `${iP}naquadria`)
  BF(`${G}:fish_oil${B}`, F(`${G}:fish_oil`, Q), `${iP}fish_oil`)
  BF(`${G}:incoloy_ma_956${B}`, F(`${G}:incoloy_ma_956`, Q), `${iP}incoloy_ma_956`)
  BF(`${G}:molten_incoloy_ma_956${B}`, F(`${G}:molten_incoloy_ma_956`, Q), `${iP}molten_incoloy_ma_956`)
  BF(`${G}:chlorine${B}`, F(`${G}:chlorine`, Q), `${iP}chlorine`)
  BF(`${G}:light_blue_dye${B}`, F(`${G}:light_blue_dye`, Q), `${iP}light_blue_dye`)
  BF(`${G}:acidic_enriched_naquadah_solution${B}`, F(`${G}:acidic_enriched_naquadah_solution`, Q), `${iP}acidic_enriched_naquadah_solution`)
  BF(`${G}:orange_dye${B}`, F(`${G}:orange_dye`, Q), `${iP}orange_dye`)
  BF(`${G}:gold${B}`, F(`${G}:gold`, Q), `${iP}gold`)
  BF(`${G}:steam_cracked_propane${B}`, F(`${G}:steam_cracked_propane`, Q), `${iP}steam_cracked_propane`)
  BF(`${G}:bismuth${B}`, F(`${G}:bismuth`, Q), `${iP}bismuth`)
  BF(`${G}:chromium${B}`, F(`${G}:chromium`, Q), `${iP}chromium`)
  BF(`${G}:enriched_naquadah${B}`, F(`${G}:enriched_naquadah`, Q), `${iP}enriched_naquadah`)
  BF(`${G}:reinforced_epoxy_resin${B}`, F(`${G}:reinforced_epoxy_resin`, Q), `${iP}reinforced_epoxy_resin`)
  BF(`${G}:red_dye${B}`, F(`${G}:red_dye`, Q), `${iP}red_dye`)
  BF(`${G}:vanadium${B}`, F(`${G}:vanadium`, Q), `${iP}vanadium`)
  BF(`${G}:dimethyldichlorosilane${B}`, F(`${G}:dimethyldichlorosilane`, Q), `${iP}dimethyldichlorosilane`)
  BF(`${G}:titanobarium_electrotine${B}`, F(`${G}:titanobarium_electrotine`, Q), `${iP}titanobarium_electrotine`)
  BF(`${G}:molten_titanobarium_electrotine${B}`, F(`${G}:molten_titanobarium_electrotine`, Q), `${iP}molten_titanobarium_electrotine`)
  BF(`${G}:copper${B}`, F(`${G}:copper`, Q), `${iP}copper`)
  BF(`${G}:raw_gasoline${B}`, F(`${G}:raw_gasoline`, Q), `${iP}raw_gasoline`)
  BF(`${G}:borosilicate_glass${B}`, F(`${G}:borosilicate_glass`, Q), `${iP}borosilicate_glass`)
  BF(`${G}:samarium${B}`, F(`${G}:samarium`, Q), `${iP}samarium`)
  BF(`${G}:yellow_dye${B}`, F(`${G}:yellow_dye`, Q), `${iP}yellow_dye`)
  BF(`${G}:severely_hydro_cracked_gas${B}`, F(`${G}:severely_hydro_cracked_gas`, Q), `${iP}severely_hydro_cracked_gas`)
  BF(`${G}:iron${B}`, F(`${G}:iron`, Q), `${iP}iron`)
  BF(`${G}:iron_plasma${B}`, F(`${G}:iron_plasma`, Q), `${iP}iron_plasma`)
  BF(`${G}:bronze${B}`, F(`${G}:bronze`, Q), `${iP}bronze`)
  BF(`${G}:brown_dye${B}`, F(`${G}:brown_dye`, Q), `${iP}brown_dye`)
  BF(`${G}:wrought_iron${B}`, F(`${G}:wrought_iron`, Q), `${iP}wrought_iron`)
  BF(`${G}:sulfur_trioxide${B}`, F(`${G}:sulfur_trioxide`, Q), `${iP}sulfur_trioxide`)
  BF(`${G}:osmium${B}`, F(`${G}:osmium`, Q), `${iP}osmium`)
  BF(`${G}:osmiridium${B}`, F(`${G}:osmiridium`, Q), `${iP}osmiridium`)
  BF(`${G}:molten_osmiridium${B}`, F(`${G}:molten_osmiridium`, Q), `${iP}molten_osmiridium`)
  BF(`${G}:bismuth_bronze${B}`, F(`${G}:bismuth_bronze`, Q), `${iP}bismuth_bronze`)
  BF(`${G}:molten_bismuth_bronze${B}`, F(`${G}:molten_bismuth_bronze`, Q), `${iP}molten_bismuth_bronze`)
  BF(`${G}:carbon_monoxide${B}`, F(`${G}:carbon_monoxide`, Q), `${iP}carbon_monoxide`)
  BF(`${G}:butadiene${B}`, F(`${G}:butadiene`, Q), `${iP}butadiene`)
  BF(`${G}:diluted_sulfuric_acid${B}`, F(`${G}:diluted_sulfuric_acid`, Q), `${iP}diluted_sulfuric_acid`)
  BF(`${G}:aluminium${B}`, F(`${G}:aluminium`, Q), `${iP}aluminium`)
  BF(`${G}:battery_alloy${B}`, F(`${G}:battery_alloy`, Q), `${iP}battery_alloy`)
  BF(`${G}:glycolonitrile${B}`, F(`${G}:glycolonitrile`, Q), `${iP}glycolonitrile`)
  BF(`${G}:watertight_steel${B}`, F(`${G}:watertight_steel`, Q), `${iP}watertight_steel`)
  BF(`${G}:molten_watertight_steel${B}`, F(`${G}:molten_watertight_steel`, Q), `${iP}molten_watertight_steel`)
  BF(`${G}:duranium${B}`, F(`${G}:duranium`, Q), `${iP}duranium`)
  BF(`${G}:bio_diesel${B}`, F(`${G}:bio_diesel`, Q), `${iP}bio_diesel`)
  BF(`${G}:sodium_persulfate${B}`, F(`${G}:sodium_persulfate`, Q), `${iP}sodium_persulfate`)
  BF(`${G}:iron_ii_chloride${B}`, F(`${G}:iron_ii_chloride`, Q), `${iP}iron_ii_chloride`)
  BF(`${G}:tungsten_carbide${B}`, F(`${G}:tungsten_carbide`, Q), `${iP}tungsten_carbide`)
  BF(`${G}:molten_tungsten_carbide${B}`, F(`${G}:molten_tungsten_carbide`, Q), `${iP}molten_tungsten_carbide`)
  BF(`${G}:magenta_dye${B}`, F(`${G}:magenta_dye`, Q), `${iP}magenta_dye`)
  BF(`${G}:wood_gas${B}`, F(`${G}:wood_gas`, Q), `${iP}wood_gas`)
  BF(`${G}:hydro_cracked_butene${B}`, F(`${G}:hydro_cracked_butene`, Q), `${iP}hydro_cracked_butene`)
  BF(`${G}:enriched_uranium_hexafluoride${B}`, F(`${G}:enriched_uranium_hexafluoride`, Q), `${iP}enriched_uranium_hexafluoride`)
  BF(`${G}:red_steel${B}`, F(`${G}:red_steel`, Q), `${iP}red_steel`)
  BF(`${G}:molten_red_steel${B}`, F(`${G}:molten_red_steel`, Q), `${iP}molten_red_steel`)
  BF(`${G}:diethylenetriamine${B}`, F(`${G}:diethylenetriamine`, Q), `${iP}diethylenetriamine`)
  BF(`${G}:bacteria${B}`, F(`${G}:bacteria`, Q), `${iP}bacteria`)
  BF(`${G}:liquid_nether_air${B}`, F(`${G}:liquid_nether_air`, Q), `${iP}liquid_nether_air`)
  BF(`${G}:crystalized_water${B}`, F(`${G}:crystalized_water`, Q), `${iP}crystalized_water`)
  BF(`${G}:aqua_regia${B}`, F(`${G}:aqua_regia`, Q), `${iP}aqua_regia`)
  BF(`${G}:concrete${B}`, F(`${G}:concrete`, Q), `${iP}concrete`)
  BF(`${G}:cobalt${B}`, F(`${G}:cobalt`, Q), `${iP}cobalt`)
  BF(`${G}:magnesium_diboride${B}`, F(`${G}:magnesium_diboride`, Q), `${iP}magnesium_diboride`)
  BF(`${G}:molten_magnesium_diboride${B}`, F(`${G}:molten_magnesium_diboride`, Q), `${iP}molten_magnesium_diboride`)
  BF(`${G}:glowstone${B}`, F(`${G}:glowstone`, Q), `${iP}glowstone`)
  BF(`${G}:phosphoric_acid${B}`, F(`${G}:phosphoric_acid`, Q), `${iP}phosphoric_acid`)
  BF(`${G}:lithium${B}`, F(`${G}:lithium`, Q), `${iP}lithium`)
  BF(`${G}:enriched_naquadah_waste${B}`, F(`${G}:enriched_naquadah_waste`, Q), `${iP}enriched_naquadah_waste`)
  BF(`${G}:xenon${B}`, F(`${G}:xenon`, Q), `${iP}xenon`)
  BF(`${G}:phenol${B}`, F(`${G}:phenol`, Q), `${iP}phenol`)
  BF(`${G}:naquadria_waste${B}`, F(`${G}:naquadria_waste`, Q), `${iP}naquadria_waste`)
  BF(`${G}:green_sapphire_slurry${B}`, F(`${G}:green_sapphire_slurry`, Q), `${iP}green_sapphire_slurry`)
  BF(`${G}:chloromethane${B}`, F(`${G}:chloromethane`, Q), `${iP}chloromethane`)
  BF(`${G}:cracked_bauxite_slurry${B}`, F(`${G}:cracked_bauxite_slurry`, Q), `${iP}cracked_bauxite_slurry`)
  BF(`${G}:kanthal${B}`, F(`${G}:kanthal`, Q), `${iP}kanthal`)
  BF(`${G}:molten_kanthal${B}`, F(`${G}:molten_kanthal`, Q), `${iP}molten_kanthal`)
  BF(`${G}:tetranitromethane${B}`, F(`${G}:tetranitromethane`, Q), `${iP}tetranitromethane`)
  BF(`${G}:diphenyl_isophthalate${B}`, F(`${G}:diphenyl_isophthalate`, Q), `${iP}diphenyl_isophthalate`)
  BF(`${G}:bisphenol_a${B}`, F(`${G}:bisphenol_a`, Q), `${iP}bisphenol_a`)
  BF(`${G}:naquadria_solution${B}`, F(`${G}:naquadria_solution`, Q), `${iP}naquadria_solution`)
  BF(`${G}:hydro_cracked_ethane${B}`, F(`${G}:hydro_cracked_ethane`, Q), `${iP}hydro_cracked_ethane`)
  BF(`${G}:vanadium_steel${B}`, F(`${G}:vanadium_steel`, Q), `${iP}vanadium_steel`)
  BF(`${G}:molten_vanadium_steel${B}`, F(`${G}:molten_vanadium_steel`, Q), `${iP}molten_vanadium_steel`)
  BF(`${G}:bromine${B}`, F(`${G}:bromine`, Q), `${iP}bromine`)
  BF(`${G}:plutonium${B}`, F(`${G}:plutonium`, Q), `${iP}plutonium`)
  BF(`${G}:bacterial_sludge${B}`, F(`${G}:bacterial_sludge`, Q), `${iP}bacterial_sludge`)
  BF(`${G}:sulfuric_gas${B}`, F(`${G}:sulfuric_gas`, Q), `${iP}sulfuric_gas`)


  // fin //

})














/*

gtceu:potion

  BF(`${G}:annealed_copper${B}`, F(`${G}:annealed_copper`, Q), `${iP}annealed_copper`)

*/